%define pname     coverviewer
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.0.2
Release:        9
Summary:        Coverviewer for music plugin

Group:          Multimedia/VDR
License:        GPL
URL:            http://www.glaserei-franz.de/VDR/Moronimo2/downloads/
Source0:        coverviewer-0.0.2-dev.tar.bz2
Source200:      %{name}.runvdr
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
Requires:       vdr(abi) = %{apiver}

%description
Coverviewer for music plugin

%prep
%setup -q -n %{pname}-%{version}
sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
sed -i -e s/VDRVERSION/APIVERSION/g Makefile
#sed -i -e s/#HAVE_MAGICK=1/HAVE_MAGICK=1/g Makefile
#sed -i -e s/#HAVE_FREETYPE\ =\ 1/HAVE_FREETYPE\ =\ 1/g Makefile

%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr libvdr-%{pname}.so


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -dm 755 $RPM_BUILD_ROOT%_sysconfdir/vdr/plugins/coverviewer/data
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -pm 755 coverviewer/data/* $RPM_BUILD_ROOT%_sysconfdir/vdr/plugins/coverviewer/data
# i18n
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale i18n

install -Dpm 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/%{pname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/runvdr-conf.d enable %{pname} >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable %{pname} >/dev/null 2>&1
fi


%files
%defattr(-,%{vdr_user},root,-)
%doc README*
%_sysconfdir/vdr/plugins/coverviewer
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%{plugindir}/locale
%config(noreplace) %{_sysconfdir}/runvdr/%{pname}

%changelog
* Sat Sep 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.0.2-9
- rebuild against vdr-1.6.0-14
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 0.0.2-8
- rebuild against vdr-1.6.0-10
* Sat Nov 29 2008 Christian Metzen <metzench@ccux-linux.de> 0.0.2-7
- rebuild against vdr-1.6.0-9
* Thu Nov 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.0.2-6
- runvdr integration
* Tue Nov 11 2008 Christian Metzen <metzench@ccux-linux.de> 0.0.2-5
- rebuild against vdr-1.6.0-3
* Sun Aug 26 2007 Christian Metzen <metzench@ccux-linux.de> 0.0.2-3
- rebuild against latest vdr, temp. disabled ImageMagick
* Sat Jun 16 2007 Christian Metzen <metzench@ccux-linux.de> 0.0.2-2
- corrected description
* Sat Jun 16 2007 Christian Metzen <metzench@ccux-linux.de> 0.0.2-1
- Initial release